## org.apache.batik.dom
Class GenericElement

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractParentChildNode
                  org.apache.batik.dom.AbstractElement
                      org.apache.batik.dom.GenericElement

All Implemented Interfaces:
  org.w3c.dom.Element, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

public class GenericElement
extends AbstractElement

This class implements the `Element` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractElement
`AbstractElement.Entry, AbstractElement.NamedNodeHashMap`

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected java.lang.String` `nodeName` The node name.
`protected boolean` `readonly` Is this element immutable?

Fields inherited from class org.apache.batik.dom.AbstractElement
`attributes`

Fields inherited from class org.apache.batik.dom.AbstractParentChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` `GenericElement()` Creates a new Element object.
`` `GenericElement(java.lang.String name, AbstractDocument owner)` Creates a new Element object.

Method Summary
`protected org.w3c.dom.Node` `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` `getNodeName()` DOM: Implements `Node.getNodeName()`.
`boolean` `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` `newNode()` Returns a new uninitialized instance of this object's class.
`void` `setNodeName(java.lang.String v)` Sets the name of this node.
`void` `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractElement

`attrAdded, attrModified, attrRemoved, checkChildType, createAttributes, fireDOMAttrModifiedEvent, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, nodeAdded, nodeToBeRemoved, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from class org.apache.batik.dom.AbstractParentChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, isSupported, removeEventListener, setNodeValue, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getElementsByTagName, getElementsByTagNameNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasChildNodes, insertBefore, isSupported, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### nodeName

    protected java.lang.String nodeName

  The node name.

### readonly

    protected boolean readonly

  Is this element immutable?

Constructor Detail

### GenericElement

    protected GenericElement()

  Creates a new Element object.

### GenericElement

    public GenericElement(java.lang.String name,
                          AbstractDocument owner)
                   throws org.w3c.dom.DOMException

  Creates a new Element object.

Parameters:
  `name` - The element name for validation purposes.
  `owner` - The owner document.
Throws:
  `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: if name contains invalid characters,

Method Detail

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Returns:
    `nodeName`

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractElement`
  Parameters:
    `n` - The clone node.
    `d` - The destination document.

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractElement`
  Parameters:
    `n` - The clone node.
    `d` - The destination document.

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractElement`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractElement`
  Parameters:
    `n` - a node of the type of this.

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.